package org.springblade.modules.sjapp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.modules.sjapp.entity.SjApp;
import org.springblade.modules.sjapp.vo.SjAppVO;

import java.util.List;
import java.util.Map;

/**
 *  Mapper 接口
 *
 * @author BladeX
 * @since 2023-01-10
 */
public interface SjAppMapper extends BaseMapper<SjApp> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param sjApp
	 * @return
	 */
	List<SjAppVO> selectSjAppPage(IPage page, SjAppVO sjApp);

    List<Map> consoleSelect(String sql);

	boolean consoleUpdate(String sql);

	boolean consoleInsert(String sqlStr);

	boolean consoleDelete(String sql);
}
